Bug 21438 - Switch two-column templates to Bootstrap grid: Patron card creator
Summary: Switch two-column templates to Bootstrap grid: Patron card creator
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-09-27 15:12 UTC by Owen Leonard
Modified: 2019-01-31 16:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator (16.89 KB, patch)
2018-09-27 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator (17.76 KB, patch)
2018-11-27 15:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator (17.82 KB, patch)
2018-12-17 13:59 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator (17.87 KB, patch)
2019-01-02 21:02 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-09-27 15:12:35 UTC
These two-column patron card creator templates can be updated to use the Bootstrap grid.

 - patroncards/edit-batch.tt
 - patroncards/edit-layout.tt
 - patroncards/edit-profile.tt
 - patroncards/edit-template.tt
 - patroncards/home.tt
 - patroncards/image-manage.tt
 - patroncards/manage.tt
Comment 1 Owen Leonard 2018-09-27 15:14:27 UTC
Created attachment 79527 [details] [review]
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator

This patch modifies the patron card creator templates to use the
Bootstrap grid instead of YUI.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> patron card creator
   - Manage -> Card batches
     - Edit card batch
   - Manage -> Layouts
     - Edit layout
   - Manage -> Images
   - Manage -> Card templates
     - Edit template
   - Manage -> Printer profiles
     - Edit profile
Comment 2 Owen Leonard 2018-11-27 15:32:49 UTC
Created attachment 82678 [details] [review]
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator

This patch modifies the patron card creator templates to use the
Bootstrap grid instead of YUI.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> patron card creator
   - Manage -> Card batches
     - Edit card batch
   - Manage -> Layouts
     - Edit layout
   - Manage -> Images
   - Manage -> Card templates
     - Edit template
   - Manage -> Printer profiles
     - Edit profile
Comment 3 Claire Gravely 2018-12-17 13:59:24 UTC
Created attachment 83282 [details] [review]
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator

This patch modifies the patron card creator templates to use the
Bootstrap grid instead of YUI.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> patron card creator
   - Manage -> Card batches
     - Edit card batch
   - Manage -> Layouts
     - Edit layout
   - Manage -> Images
   - Manage -> Card templates
     - Edit template
   - Manage -> Printer profiles
     - Edit profile

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 4 Josef Moravec 2019-01-02 21:02:56 UTC
Created attachment 83606 [details] [review]
Bug 21438: Update two-column templates with Bootstrap grid: Patron card creator

This patch modifies the patron card creator templates to use the
Bootstrap grid instead of YUI.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> patron card creator
   - Manage -> Card batches
     - Edit card batch
   - Manage -> Layouts
     - Edit layout
   - Manage -> Images
   - Manage -> Card templates
     - Edit template
   - Manage -> Printer profiles
     - Edit profile

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-01-25 20:51:50 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-01-31 16:58:33 UTC
The enhancement will not be backported to 18.11.x series.